---
title: Auth API
slug: api/auth-api
docTags: 
createdAt: 2022-08-05T17:20:47.000Z
---

## accounts - Query the information of the specified address

### parameter

address - Account address

### return value

Return a JSON object, the structure is as follows：

- height: Block height
  - result: result
    - type": Account Type
    - value: value
      - name: name
      - address: Account address
      - sub\_addresses: Sub account
      - coins: Token
        denom: Token name
        amount: Number of tokens
      - public\_key: public key
      - account\_number: Number of accounts
      - sequence: nonce value
      - code\_hash: Contract hash
      - ethAddress: Corresponding Ethereum address

### Sample code

request：

```curl
curl -X GET 'https://rpc.block.caduceus.global:8545/auth/accounts/0xF60a4716edAbDc1479C9b2562989a9cA106063dA'
```

response：

```json
{
    "height": "1969",
    "result": {
        "type": "hashrs/MainAccount",
        "value": {
            "name": "",
            "address": "hashrs17c9yw9hd40wpg7wfkftznzdfeggxqc762ueavn",
            "sub_addresses": null,
            "coins": [
                {
                    "denom": "coin0",
                    "amount": "1000000000000000000"
                },
                {
                    "denom": "coin1",
                    "amount": "1000000000000000000"
                },
                {
                    "denom": "coin2",
                    "amount": "1000000000000000000"
                },
                {
                    "denom": "coin3",
                    "amount": "1000000000000000000"
                },
                {
                    "denom": "coin4",
                    "amount": "1000000000000000000"
                },
                {
                    "denom": "hcoin",
                    "amount": "99999999997439999999000000"
                }
            ],
            "public_key": "8WWOMkEEYRGbOyaBTA7PkUlwSVrnFvnmXa2o7SQd2vJ8FI5KgTknt5QgJGfIFXs324YSl03Y0oO3DWV9GzjQxxucVYDy+w==",
            "account_number": 3,
            "sequence": 2,
            "code_hash": "c5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470",
            "ethAddress": "0xf60a4716edabdc1479c9b2562989a9ca106063da"
        }
    }
}

```

